import type { UserRole } from "@/js/contexts/shared/models/UserRole";

export type User = {
  id: number;
  name: string;
  email: string;
  user_role_id: number | null;

  readonly created_at: string;
  readonly updated_at: string;
  readonly email_verified_at: string | null;

  readonly user_role?: UserRole | null;
};

export type UserCreate = Omit<User, "id" | "created_at" | "updated_at" | "email_verified_at" | "user_role"> & { password: string };
export type UserUpdate = Omit<User, "id" | "created_at" | "updated_at" | "email_verified_at" | "user_role">;
